import { CAP_HTML_TO_IMAGE_BASE_URL } from '@/common/constant'
import { useRequest } from '@/use/useHttp'

// 邀请码
export const GetInvitationInfo = () => {
  return useRequest({
    url: '/v1/mp/user/invitationInfoRecord',
    method: 'get',
  })
}
// 获取邀请进度
export const GetInvitationList = () => {
  return useRequest({
    url: '/v2/mp/user/inviterList',
    method: 'get',
    pagination: true,
  })
}
// 生成二维码
export const GenBarCodeOrQrCode = () => {
  return useRequest({
    url: '/xima-caphtml/genBarcodeOrQrCode',
    base_url: CAP_HTML_TO_IMAGE_BASE_URL,
    method: 'post',
  })
}
